﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp13
{
    public partial class Form1 : Form
    {
        Model1Container context = new Model1Container();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Contact c1 = new Contact();
            TelephoneNumber t1 = new TelephoneNumber();
            TelephoneNumber t2 = new TelephoneNumber();
            c1.FullName = "Maria Papas";
            c1.Email = "mar@unipi.gr";
            c1.Address = "Karaoli & Dimitriou 80";
            t1.Number = "+302104142000";
            t2.Number = "+306944123457";
            c1.TelephoneNumbers.Add(t1);
            c1.TelephoneNumbers.Add(t2);
            context.Contacts.Add(c1);
            context.SaveChanges();
            MessageBox.Show(context.Contacts.Count().ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var query = from c in context.Contacts
                        select new { c.FullName, c.Email };
            StringBuilder builder= new StringBuilder();
            foreach(var item in query)
            {
                builder.Append(item.ToString()).Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());
        }
    }
}
